CKSUM(1)

NOME
cksum - calcula e verifica somas de verificação de arquivos

SINOPSE
cksum [OPÇÃO]... [ARQUIVO]...

DESCRIÇÃO

Imprime ou verifica somas de verificação. Por padrão, usa o algoritmo CRC de 32 bits.

Com nenhum ARQUIVO ou quando ARQUIVO é -, lê a entrada padrão.

Argumentos obrigatórios para opções longas também o são para opções curtas.

-a, --algorithm=TIPO
    seleciona o tipo de resumo (digest) para usar. Veja DIGEST abaixo

--base64
    emite resumos codificados em base64, não em hexadecimal

-c, --check
    lê somas de verificação a partir dos ARQUIVOs e as confere

-l, --length=BITS
    comprimento do resumo em bits; não deve exceder o máximo para o algoritmo blake2 e deve ser um múltiplo de 8

--raw
    emite um resumo binário não tratado, não em hexadecimal

--tag
    cria uma soma de verificação estilo BSD (padrão)

--untagged
    cria uma soma de verificação no estilo reverso, sem tipo de resumo

-z, --zero
    termina cada linha de saída com NULO, e não com nova linha, e desabilita escapamento de nome de arquivo

  As cinco opções a seguir são úteis apenas quando conferindo as somas de verificação:

--ignore-missing
    não falha ou relata estado para arquivos em falta

--quiet
    não exibe OK para cada arquivo verificado com sucesso

--status
    não emite nada, o código do estado indica sucesso

--strict
    sai com não-zero para linhas de soma de verificação formatadas de maneira imprópria

-w, --warn
    avisa sobre linhas de soma de verificação formatadas de maneira imprópria

--debug
    indica qual implementação usar

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

  DIGEST determina o algoritmo de resumo e o formato de saída padrão:

sysv
    (equivalente a sum -s).

bsd (equivalente a sum -r).

crc (equivalente a cksum).

crc32b
    (disponível apenas por meio do cksum)

md5 (equivalente a md5sum).

sha1
    (equivalente a sha1sum).

sha224
    (equivalente a sha224sum).

sha256
    (equivalente a sha256sum).

sha384
    (equivalente a sha384sum).

sha512
    (equivalente a sha512sum).

blake2b
    (equivalente a b2sum).

sm3 (disponível apenas por meio do cksum)

Ao verificar, a entrada deve ser uma saída anterior deste programa ou um programa autônomo equivalente.

AUTOR
Escrito por Padraig Brady e Q. Frank Xia.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>

VEJA TAMBÉM
Documentação completa <https://www.gnu.org/software/coreutils/cksum>
ou disponível localmente via: info '(coreutils) cksum invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).